Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation
Class SortedMapCollectionMapper

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.AbstractCollectionMapper<T>
          org.hibernate.envers.entities.mapper.relation.MapCollectionMapper<SortedMap>
              org.hibernate.envers.entities.mapper.relation.SortedMapCollectionMapper

All Implemented Interfaces:
  PropertyMapper

    public final class SortedMapCollectionMapper

extends MapCollectionMapper<SortedMap>

Author:
  Michal Skowronek (mskowr at o2 dot pl)

Field Summary

Fields inherited from class org.hibernate.envers.entities.mapper.relation.MapCollectionMapper
`elementComponentData, indexComponentData`

Fields inherited from class org.hibernate.envers.entities.mapper.relation.AbstractCollectionMapper
`collectionClass, commonCollectionMapperData`

Constructor Summary
`SortedMapCollectionMapper(CommonCollectionMapperData commonCollectionMapperData, Class<? extends SortedMap> collectionClass, Class<? extends SortedMap> proxyClass, MiddleComponentData elementComponentData, MiddleComponentData indexComponentData, Comparator comparator)`

Method Summary
`protected Initializor<SortedMap>` | `getInitializor(AuditConfiguration verCfg, AuditReaderImplementor versionsReader, Object primaryKey, Number revision)`

Methods inherited from class org.hibernate.envers.entities.mapper.relation.MapCollectionMapper
`getNewCollectionContent, getOldCollectionContent, mapToMapFromObject`

Methods inherited from class org.hibernate.envers.entities.mapper.relation.AbstractCollectionMapper
`mapCollectionChanges, mapToEntityFromMap, mapToMapFromEntity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.envers.entities.mapper.PropertyMapper
`mapCollectionChanges, mapToEntityFromMap, mapToMapFromEntity`

Constructor Detail

### SortedMapCollectionMapper

    public SortedMapCollectionMapper(CommonCollectionMapperData commonCollectionMapperData,
                                     Class<? extends SortedMap> collectionClass,
                                     Class<? extends SortedMap> proxyClass,
                                     MiddleComponentData elementComponentData,
                                     MiddleComponentData indexComponentData,
                                     Comparator comparator)

Method Detail

### getInitializor

    protected Initializor<SortedMap> getInitializor(AuditConfiguration verCfg,
                                                    AuditReaderImplementor versionsReader,
                                                    Object primaryKey,
                                                    Number revision)

  Overrides:
    `getInitializor` in class `MapCollectionMapper<SortedMap>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.